%{?mingw_package_header}

%global pkgname qwt5
%global scintilla_ver 3.5.4

Name:          mingw-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Version:       5.2.3
Release:       1%{?dist}
BuildArch:     noarch

License:       LGPLv2 with exceptions
URL:           http://qwt.sourceforge.net/
Source:        http://downloads.sourceforge.net/qwt/qwt-%{version}.tar.bz2

# Use qt_install system paths
Patch0:        qwt5-qt_install_paths.patch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-qt

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-qt

Provides: bundled(scintilla) = %{scintilla_ver}


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}-qt4
Summary:       MinGW Windows %{pkgname}-qt4 library

%description -n mingw32-%{pkgname}-qt4
MinGW Windows %{pkgname}-qt4 library.


%package -n mingw64-%{pkgname}-qt4
Summary:       MinGW Windows %{pkgname}-qt4 library

%description -n mingw64-%{pkgname}-qt4
MinGW Windows %{pkgname}-qt4 library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n qwt-%{version}

# Disable the designer plugin
sed -i 's|^CONFIG     += QwtDesigner$|#CONFIG     += QwtDesigner|' qwtconfig.pri


%build
%{mingw_qmake_qt4} CONFIG+=QwtSVGItem ../qwt.pro
%mingw_make %{?_smp_mflags}


%install
%mingw_make install INSTALL_ROOT=%{buildroot}

# Fix library names and installation folders
mkdir -p %{buildroot}%{mingw32_bindir}
mv %{buildroot}%{mingw32_libdir}/qwt5.dll %{buildroot}%{mingw32_bindir}/qwt5.dll
mv %{buildroot}%{mingw32_libdir}/libqwt5.a %{buildroot}%{mingw32_libdir}/libqwt5.dll.a

mkdir -p %{buildroot}%{mingw64_bindir}
mv %{buildroot}%{mingw64_libdir}/qwt5.dll %{buildroot}%{mingw64_bindir}/qwt5.dll
mv %{buildroot}%{mingw64_libdir}/libqwt5.a %{buildroot}%{mingw64_libdir}/libqwt5.dll.a

install -Dpm 0644 build_win32/lib/pkgconfig/qwt.pc %{buildroot}%{mingw32_libdir}/pkgconfig/qwt5.pc
install -Dpm 0644 build_win64/lib/pkgconfig/qwt.pc %{buildroot}%{mingw64_libdir}/pkgconfig/qwt5.pc

# Delete doc
rm -rf %{buildroot}%{mingw32_datadir}
rm -rf %{buildroot}%{mingw64_datadir}


%files -n mingw32-%{pkgname}-qt4
%license COPYING
%{mingw32_bindir}/qwt5.dll
%{mingw32_libdir}/libqwt5.dll.a
%{mingw32_libdir}/pkgconfig/qwt5.pc
%{mingw32_includedir}/qwt5/

%files -n mingw64-%{pkgname}-qt4
%license COPYING
%{mingw64_bindir}/qwt5.dll
%{mingw64_libdir}/libqwt5.dll.a
%{mingw64_libdir}/pkgconfig/qwt5.pc
%{mingw64_includedir}/qwt5/


%changelog
* Thu Apr 20 2017 Sandro Mani <manisandro@gmail.com> - 5.2.3-1
- Update to 5.2.3

* Mon Jun 29 2015 Sandro Mani <manisandro@gmail.com> - 5.2.2-1
- Initial package
